# TSSundialsSetGramSchmidtType

Sets type of orthogonalization used in GMRES method by SUNDIALS linear solver.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSSundialsSetGramSchmidtType(TS ts,TSSundialsGramSchmidtType type)

Collective on TS

### Input parameters

| ts | - the time-step context
| type | - either SUNDIALS_MODIFIED_GS or SUNDIALS_CLASSICAL_GS

### Keywords

Sundials, orthogonalization

### See Also

TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetGMRESRestart(),
TSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetGMRESRestart(), TSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetPC(), TSSundialsSetExactFinalTime()

Level:advanced
Location: src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages